package com.jiayue.ssi.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jiayue.ssi.annotation.OperateLog;
import com.jiayue.ssi.backenum.ApproveStatusEnum;
import com.jiayue.ssi.backenum.AuditType;
import com.jiayue.ssi.backenum.BusinessType;
import com.jiayue.ssi.entity.SysAlarm;
import com.jiayue.ssi.entity.SysApprove;
import com.jiayue.ssi.entity.SysUser;
import com.jiayue.ssi.service.SysAlarmService;
import com.jiayue.ssi.util.*;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.*;

/**
 * 告警消息接口
 *
 * @author xsl
 * @since 2023/03/13
 */
@RestController
@RequestMapping("/sysAlarmController")
@Slf4j
public class SysAlarmController {
    @Autowired
    SysAlarmService sysAlarmService;

    /**
     * 获取告警消息
     *
     * @return
     */
    @GetMapping(value = "/getAll")
    public ResponseVO getAll() {
        try {
            QueryWrapper<SysAlarm> wrapper = new QueryWrapper<>();
//            wrapper.eq("read_sign", "0");
            wrapper.orderByDesc("create_time");
            List<SysAlarm> sysAlarmLis = sysAlarmService.list(wrapper);
            return ResponseVO.success(sysAlarmLis);
        } catch (Exception e) {
            e.printStackTrace();
            log.error("获取所有告警消息异常");
            return ResponseVO.error(null);
        }
    }
    /**
     * 查收提交
     */
    @PostMapping(value = "/readDone")
    public ResponseVO readDone(Long id) {
        if (id==null) {
            return ResponseVO.fail("id不能为空!");
        }
        try {
            SysAlarm sysAlarm = new SysAlarm();
            sysAlarm.setId(id);
            boolean bo = sysAlarmService.removeById(sysAlarm);
            if (bo){
              return ResponseVO.success("查收成功");
            }
            else {
                log.error("查收失败");
                return ResponseVO.fail("查收失败");
            }
        } catch (Exception e) {
            e.printStackTrace();
            log.error("查收异常");
            return ResponseVO.error(e);
        }
    }
}
